Tab selection in EJ2 JavaScript Tab control

4 Jan 20259 minutes to read

You can determine whether a tab was selected through user interaction or programmatically by using the selecting and selected event arguments. These arguments contain an isInteracted field that returns true when the user changes the tab through click actions, and false when the change occurs programmatically.

The following code example demonstrates how to identify the tab selection state in the selecting and selected events:

ej.base.enableRipple(true);

//Initialize Tab component
var tabObj = new ej.navigations.Tab({
    heightAdjustMode: 'Auto',
    items: [
        {
            header: { 'text': 'India' },
            content: 'India officially the Republic of India, is a country in South Asia. It is the seventh-largest country by area, the second-most populous country with over 1.2 billion people, and the most populous democracy in the world. Bounded by the Indian Ocean on the south, the Arabian Sea on the south-west, and the Bay of Bengal on the south-east, it shares land borders with Pakistan to the west;China, Nepal, and Bhutan to the north-east; and Burma and Bangladesh to the east. In the Indian Ocean, India is in the vicinity of Sri Lanka and the Maldives; in addition, India Andaman and Nicobar Islands share a maritime border with Thailand and Indonesia.'
        },
        {
            header: { 'text': 'Canada' },
            content: 'Canada is a North American country stretching from the U.S. in the south to the Arctic Circle in the north. Major cities include massive Toronto, west coast film centre Vancouver, French-speaking Montréal and Québec City, and capital city Ottawa. Canada vast swaths of wilderness include lake-filled Banff National Park in the Rocky Mountains. It also home to Niagara Falls, a famous group of massive waterfalls.'
        },
        {
            header: { 'text': 'Australia' },
            content: 'Australia, officially the Commonwealth of Australia, is a country comprising the mainland of the Australian continent, the island of Tasmania and numerous smaller islands. It is the world sixth-largest country by total area. Neighboring countries include Indonesia, East Timor and Papua New Guinea to the north; the Solomon Islands, Vanuatu and New Caledonia to the north-east; and New Zealand to the south-east.  <br/><br/>India is a vast South Asian country with diverse terrain – from Himalayan peaks to Indian Ocean coastline – and history reaching back 5 millennia. In the north, Mughal Empire andmarks include Delhis Red Fort complex and massive Jama Masjid mosque, plus Agras iconic Taj Mahal mausoleum. Pilgrims bathe in the Ganges in Varanasi, and Rishikesh is a yoga centre  and base for Himalayan trekking.'
        },
        {
            header: { 'text': 'USA' },
            content: 'The United States of America (USA or U.S.A.), commonly called the United States (US or U.S.) and America, is a federal republic consisting of fifty states and a federal district. The 48 contiguous states and the federal district of Washington, D.C. are in central North America between Canada and Mexico. The state of Alaska is west of Canada and east of Russia across the Bering Strait, and the state of Hawaii is in the mid-North Pacific. The country also has five populated and nine unpopulated territories in the Pacific and the Caribbean.'
        },
        {
            header: { 'text': 'London' },
            content: 'London, the capital of England and the United Kingdom, is a 21st-century city with history stretching back to Roman times. At its centre stand the imposing Houses of Parliament, the iconic ‘Big Ben’ clock tower and Westminster Abbey, site of British monarch coronations. Across the Thames River, the London Eye observation wheel provides panoramic views of the South Bank cultural complex, and the entire city.'
        },
        {
            header: { 'text': 'Germany' },
            content: 'Germany is a Western European country with a landscape of forests, rivers, mountain ranges and North Sea beaches. It has over 2 millennia of history. Berlin, its capital, is home to art and nightlife scenes, the Brandenburg Gate and many sites relating to WWII. Munich is known for its Oktoberfest and beer halls, including the 16th-century Hofbräuhaus. Frankfurt, with its skyscrapers, houses the European Central Bank.'
        },
        {
            header: { 'text': 'France' },
            content: 'France, officially the French Republic is a sovereign state comprising territory in western Europe and several overseas regions and territories. The European part of France, called Metropolitan France, extends from the Mediterranean Sea to the English Channel and the North Sea, and from the Rhine to the Atlantic Ocean; France covers 640,679 square kilo metres and as of August 2015 has a population of 67 million, counting all the overseas departments and territories.'
        }
    ],
    selecting: function (args) {
        getInteractionDetail(args.isInteracted);
    },
    selected: function (args) {
        getInteractionDetail(args.isInteracted);
    }
});
//Render initialized Tab component
tabObj.appendTo('#element');

function getInteractionDetail(interact) {
    let eventlog = interact ? 'Tab Item selected by user interaction'
      : 'Tab Item selected by programmatically';
    document.getElementById('EventLog').innerHTML = document.getElementById('EventLog').innerHTML = '<b>' + eventlog + '</b></span>';
}

var dropdownData = [
  { text: 'India', value: 0 },
  { text: 'Canada', value: 1 },
  { text: 'Australia', value: 2 },
  { text: 'USA', value: 3 },
  { text: 'London', value: 4 },
  { text: 'Germany', value: 5 },
  { text: 'France', value: 6 },
];
let selctItemObj = new ej.dropdowns.DropDownList({
  index: 0,
  dataSource: dropdownData,
  placeholder: 'Select Tab Item using dropdown',
  floatLabelType:"Always",
  popupHeight: '150px',
  change: (args) => {
    tabObj.select(args.itemData.value);
  },
});
selctItemObj.appendTo('#selectTab');
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Tab</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
    <style>
        #EventLog b {
            color: #388e3c;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div class="e-tab-height" style="height:300px">
            <div class="EventLog" id="EventLog" style="word-break: normal;padding: 5px;"></div>
            <div id="selectTab"></div>
            <div id="element"></div>
        </div>
        <div id="result"></div>
    </div>



<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Tab selection in React Tab component

29 Aug 202324 minutes to read

We can able to find the tab selection whether it is selected by user interaction or programmatically way in the selecting and selected event argument with the field of isInteracted. When the user changes the tab through click actions it will return true otherwise, it will return false. The following code example depicts to find the tab selecting the state in selecting and selected events.

import * as React from "react";
import { useRef } from 'react';
import * as ReactDOM from 'react-dom';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';

const App = () => {
  const tabInstance = useRef(null);
  const eventLogRef = useRef(null)
  let dropdownData = [
    { text: 'HTML', Id: 0 },
    { text: 'C-Sharp(C#)', Id: 1 },
    { text: 'Java', Id: 2 },
    { text: 'VB.NET', Id: 3 },
    { text: 'Xamarin', Id: 4 },
    { text: 'ASP.NET', Id: 5 },
    { text: 'ASP.NET MVC', Id: 6 },
    { text: 'JavaScript', Id: 7 }
  ];
  let fields = { text: 'text', value: 'Id' };

  const htmlContent = () => {
    return (<div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications. Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>
    );
  }
  const csharpContent = () => {
    return (<div> C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012</div>
    );
  }
  const javaContent = () => {
    return (<div> Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.</div>
    );
  }
  const vbnetContent = () => {
    return (<div> The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>
    );
  }
  const xamarinContent = () => {
    return (<div>Xamarin is a San Francisco, California based software company created in May
      2011 by the engineers that created Mono, Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms. Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.</div>
    );
  }
  const aspContent = () => {
    return (<div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft's Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.'
    </div>
    );
  }
  const mvcContent = () => {
    return (<div>The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the modelviewcontroller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.</div>
    );
  }
  const jsContent = () => {
    return (<div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed. More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>);
  }
  const dropdownChange = (args) => {
    tabInstance.current.select(args.value)
  }
  const selecting = (args) => {
    getInteractionDetail(args.isInteracted);
  }
  const selected = (args) => {
    getInteractionDetail(args.isInteracted);
  }
  const getInteractionDetail = (interact) => {
    let eventlog = interact
      ? 'Tab Item selected by user interaction'
      : 'Tab Item selected by programmatically';
    eventLogRef.current.innerHTML = eventLogRef.current.innerHTML = '<b>' + eventlog + '</b></span>';
  }
  let headertext = [
    { text: 'HTML' },
    { text: 'C-Sharp(C#)' },
    { text: 'Java' },
    { text: 'VB.NET' },
    { text: 'Xamarin' },
    { text: 'ASP.NET' },
    { text: 'ASP.NET MVC' },
    { text: 'JavaScript' }
  ];
  return (
    <div>
      <div className="EventLog" ref={eventLogRef} ></div>
      <DropDownListComponent index={0} change={dropdownChange} dataSource={dropdownData} fields={fields} floatLabelType="Always" placeholder="Select Tab Item using dropdown" />
      <TabComponent heightAdjustMode='Auto' selecting={selecting}
        ref={tabInstance} selected={selected} >
        <TabItemsDirective>
          <TabItemDirective header={headertext[0]} content={htmlContent} />
          <TabItemDirective header={headertext[1]} content={csharpContent} />
          <TabItemDirective header={headertext[2]} content={javaContent} />
          <TabItemDirective header={headertext[3]} content={vbnetContent} />
          <TabItemDirective header={headertext[4]} content={xamarinContent} />
          <TabItemDirective header={headertext[5]} content={aspContent} />
          <TabItemDirective header={headertext[6]} content={mvcContent} />
          <TabItemDirective header={headertext[7]} content={jsContent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<App />);
import { useRef } from 'react';
import * as React from "react";
import * as ReactDOM from 'react-dom';
import { TabComponent, TabItemDirective, TabItemsDirective, SelectingEventArgs, SelectEventArgs } from '@syncfusion/ej2-react-navigations';
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';

const App = () => {
  const tabInstance = useRef<TabComponent>(null);
  const eventLogRef = useRef(null)
  let dropdownData: { [key: string]: Object; }[] = [
    { text: 'HTML', Id: 0 },
    { text: 'C-Sharp(C#)', Id: 1 },
    { text: 'Java', Id: 2 },
    { text: 'VB.NET', Id: 3 },
    { text: 'Xamarin', Id: 4 },
    { text: 'ASP.NET', Id: 5 },
    { text: 'ASP.NET MVC', Id: 6 },
    { text: 'JavaScript', Id: 7 }
  ];
  let fields: Object = { text: 'text', value: 'Id' };

  const htmlContent = () => {
    return (<div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications. Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>
    );
  }
  const csharpContent = () => {
    return (<div> C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012</div>
    );
  }
  const javaContent = () => {
    return (<div> Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.</div>
    );
  }
  const vbnetContent = () => {
    return (<div> The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>
    );
  }
  const xamarinContent = () => {
    return (<div>Xamarin is a San Francisco, California based software company created in May
      2011 by the engineers that created Mono, Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms. Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.</div>
    );
  }
  const aspContent = () => {
    return (<div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft's Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.'
    </div>
    );
  }
  const mvcContent = () => {
    return (<div>The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the modelviewcontroller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.</div>
    );
  }
  const jsContent = () => {
    return (<div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed. More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>);
  }
  const dropdownChange = (args: ChangeEventArgs): void => {
    tabInstance.current.select(args.value as number)
  }
  const selecting = (args: SelectingEventArgs) => {
    getInteractionDetail(args.isInteracted as boolean);
  }
  const selected = (args: SelectEventArgs) => {
    getInteractionDetail(args.isInteracted as boolean);
  }
  const getInteractionDetail = (interact: boolean): void => {
    let eventlog = interact
      ? 'Tab Item selected by user interaction'
      : 'Tab Item selected by programmatically';
    eventLogRef.current.innerHTML = eventLogRef.current.innerHTML = '<b>' + eventlog + '</b></span>';
  }
  let headertext: any = [
    { text: 'HTML' },
    { text: 'C-Sharp(C#)' },
    { text: 'Java' },
    { text: 'VB.NET' },
    { text: 'Xamarin' },
    { text: 'ASP.NET' },
    { text: 'ASP.NET MVC' },
    { text: 'JavaScript' }
  ];
  return (
    <div>
      <div className="EventLog" ref={eventLogRef} ></div>
      <DropDownListComponent index={0} change={dropdownChange} dataSource={dropdownData} fields={fields} floatLabelType="Always" placeholder="Select Tab Item using dropdown" />
      <TabComponent heightAdjustMode='Auto' selecting={selecting}
        ref={tabInstance} selected={selected} >
        <TabItemsDirective>
          <TabItemDirective header={headertext[0]} content={htmlContent} />
          <TabItemDirective header={headertext[1]} content={csharpContent} />
          <TabItemDirective header={headertext[2]} content={javaContent} />
          <TabItemDirective header={headertext[3]} content={vbnetContent} />
          <TabItemDirective header={headertext[4]} content={xamarinContent} />
          <TabItemDirective header={headertext[5]} content={aspContent} />
          <TabItemDirective header={headertext[6]} content={mvcContent} />
          <TabItemDirective header={headertext[7]} content={jsContent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<App />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>

Tab selection in Vue Tab component

25 May 202419 minutes to read

We can able to find the tab selection whether it is selected by user interaction or programmatically way in the selecting and selected event argument with the field of isInteracted. When the user changes the tab through click actions it will return true otherwise, it will return false. The following code example depicts to find the tab selecting the state in selecting and selected events.

<template>
  <div id='container'>
    <div className="EventLog" id="EventLog"></div>
    <div>
      <ejs-dropdownlist id="dropdown" :dataSource='dropdownData' :change='dropdownChange' index='0'
        floatLabelType="Always" placeholder="Select Tab Item using dropdown" :fields='fields'></ejs-dropdownlist>
    </div>
    <ejs-tab id='element' ref="element" heightAdjustMode='Auto' :selecting='selecting' :selected='selected'
      height='150px' width='700px'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const dropdownData = [
  { text: 'HTML', Id: 0 },
  { text: 'C-Sharp(C#)', Id: 1 },
  { text: 'Java', Id: 2 },
  { text: 'VB.NET', Id: 3 },
  { text: 'Xamarin', Id: 4 },
  { text: 'ASP.NET', Id: 5 },
  { text: 'ASP.NET MVC', Id: 6 },
  { text: 'JavaScript', Id: 7 }
];

const fields = { text: 'text', value: 'Id' };
const headerText0 = { text: 'HTML' };
const headerText1 = { text: 'C Sharp(C#)' };
const headerText2 = { text: 'Java' };
const headerText3 = { text: 'VB.Net' };
const headerText4 = { text: 'Xamarin' };
const headerText5 = { text: 'ASP.NET' };
const headerText6 = { text: 'ASP.NET MVC' };
const headerText7 = { text: 'JavaScript' };

const content0 = 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
  'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
  'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
  'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
  'website semantically along with cues for presentation, making it a markup language, rather than a programming language.';

const content1 = 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
  'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.';

const content2 = 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
  'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
  'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
  'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
  'provide many features of native applications and can be embedded in HTML pages.';

const content3 = 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
  'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.';

const content4 = 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
  'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
  'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
  'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
  'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
  'as of May 2015.';

const content5 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
  'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
  'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
  'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
  'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
  'ASP.NET components to process SOAP messages.';

const content6 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
  'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
  'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
  'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content7 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
  'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
  'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
  'both game development and the creation of desktop applications.';


const selected = (args) => {
  getInteractionDetail(args.isInteracted);
};
const selecting = (args) => {
  getInteractionDetail(args.isInteracted);
};
const dropdownChange = (args) => {
  let tabObj = document.getElementById('element');
  tabObj.ej2_instances[0].select(args.value);
};
const getInteractionDetail = (interact) => {
  let eventlog = interact
    ? 'Tab Item selected by user interaction'
    : 'Tab Item selected by programmatically';
  document.getElementById('EventLog').innerHTML = document.getElementById(
    'EventLog').innerHTML = '<b>' + eventlog + '</b></span>';
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";

#app {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-content .e-item {
  font-size: 12px;
  margin: 10px;
  text-align: justify;
}

#element {
  margin-top: 80px;
  margin-left: 80px;
}

#default {
  margin-top: 15px;
}
</style>
<template>
  <div id='container'>
    <div className="EventLog" id="EventLog"></div>
    <div>
      <ejs-dropdownlist id="dropdown" :dataSource='dropdownData' :change='dropdownChange' index='0'
        floatLabelType="Always" placeholder="Select Tab Item using dropdown" :fields='fields'></ejs-dropdownlist>
    </div>
    <ejs-tab id='element' ref="element" heightAdjustMode='Auto' :selecting='selecting' :selected='selected'
      height='150px' width='700px'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
  name: "App",
  components: {
    "ejs-dropdownlist": DropDownListComponent,
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      dropdownData: [
        { text: 'HTML', Id: 0 },
        { text: 'C-Sharp(C#)', Id: 1 },
        { text: 'Java', Id: 2 },
        { text: 'VB.NET', Id: 3 },
        { text: 'Xamarin', Id: 4 },
        { text: 'ASP.NET', Id: 5 },
        { text: 'ASP.NET MVC', Id: 6 },
        { text: 'JavaScript', Id: 7 }
      ],
      fields: { text: 'text', value: 'Id' },
      headerText0: { text: 'HTML' },
      headerText1: { text: 'C Sharp(C#)' },
      headerText2: { text: 'Java' },
      headerText3: { text: 'VB.Net' },
      headerText4: { text: 'Xamarin' },
      headerText5: { text: 'ASP.NET' },
      headerText6: { text: 'ASP.NET MVC' },
      headerText7: { text: 'JavaScript' },
      content0: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
        'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
        'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
        'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
        'website semantically along with cues for presentation, making it a markup language, rather than a programming language.',

      content1: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
        'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.',

      content2: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
        'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
        'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
        'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
        'provide many features of native applications and can be embedded in HTML pages.',

      content3: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
        'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.',

      content4: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
        'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
        'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
        'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
        'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
        'as of May 2015.',

      content5: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content6: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content7: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',

    }
  },
  methods: {
    selected: function (args) {
      this.getInteractionDetail(args.isInteracted);
    },
    selecting: function (args) {
      this.getInteractionDetail(args.isInteracted);
    },
    dropdownChange: function (args) {
      let tabObj = document.getElementById('element');
      tabObj.ej2_instances[0].select(args.value);
    },
    getInteractionDetail: function (interact) {
      let eventlog = interact
        ? 'Tab Item selected by user interaction'
        : 'Tab Item selected by programmatically';
      document.getElementById('EventLog').innerHTML = document.getElementById(
        'EventLog').innerHTML = '<b>' + eventlog + '</b></span>';
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";

#app {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-content .e-item {
  font-size: 12px;
  margin: 10px;
  text-align: justify;
}

#element {
  margin-top: 80px;
  margin-left: 80px;
}

#default {
  margin-top: 15px;
}
</style>

Tab selection in Angular Tab component

19 Sep 20258 minutes to read

You can determine whether tab selection occurs through user interaction or programmatic methods using the isInteracted field in the selecting and selected event arguments. When users change tabs through click actions, this property return true otherwise, it will return false. The following code example demonstrates how to identify the tab selection state in both selecting and selected events.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { DropDownListComponent, DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { TabModule, TabComponent, SelectingEventArgs, SelectEventArgs} from '@syncfusion/ej2-angular-navigations';

/**
 * Add nested Tabs
 */

@Component({
imports: [
      TabModule,
      DropDownListModule,
    ],


standalone: true,
    selector: 'app-container',
    template: `<div>  
        <div class="EventLog" id="EventLog" style="word-break: normal;padding: 5px;"><b></b></div>
        <ejs-dropdownlist id='selectDropdown' [dataSource]='dropdownData' (change)='onChange($event)' [value]='value' [fields]='fields' [placeholder]='waterMark' [popupHeight]='height'></ejs-dropdownlist>
        <ejs-tab id="element" #tabObj [items]='tabItems'
        heightAdjustMode= 'Auto' (selecting)="selecting($event)" (selected)="selected($event)">
        </ejs-tab></div>`,
})
export class AppComponent implements OnInit {
  @ViewChild('tabObj')
  public tabObj?: TabComponent;
  public eventLog: string = '';
  public height: string = '200px';
  public tabItems?: Object[];
  public dropdownData: Object[] = [
    { text: 'India', Id: 0 },
    { text: 'Canada', Id: 1 },
    { text: 'Australia', Id: 2 },
    { text: 'USA', Id: 3 },
    { text: 'London', Id: 4 },
    { text: 'Germany', Id: 5 },
    { text: 'France', Id: 6 },
  ];
  public fields: Object = { text: 'text', value: 'Id' };
  public waterMark: string = 'Select Tab Item using dropdown';
  public value: number = 0;
  public onChange(args: any): void {
    (this.tabObj as TabComponent).select(args.value);
  }
  public ngOnInit(): void {
    this.tabItems = [
      {
        header: { text: 'India' },
        content:
          'India officially the Republic of India, is a country in South Asia. It is the seventh-largest country by area, the second-most populous country with over 1.2 billion people, and the most populous democracy in the world. Bounded by the Indian Ocean on the south, the Arabian Sea on the south-west, and the Bay of Bengal on the south-east, it shares land borders with Pakistan to the west;China, Nepal, and Bhutan to the north-east; and Burma and Bangladesh to the east. In the Indian Ocean, India is in the vicinity of Sri Lanka and the Maldives; in addition, India Andaman and Nicobar Islands share a maritime border with Thailand and Indonesia.',
      },
      {
        header: { text: 'Canada' },
        content:
          'Canada is a North American country stretching from the U.S. in the south to the Arctic Circle in the north. Major cities include massive Toronto, west coast film centre Vancouver, French-speaking Montréal and Québec City, and capital city Ottawa. Canada vast swaths of wilderness include lake-filled Banff National Park in the Rocky Mountains. It also home to Niagara Falls, a famous group of massive waterfalls.',
      },
      {
        header: { text: 'Australia' },
        content:
          'Australia, officially the Commonwealth of Australia, is a country comprising the mainland of the Australian continent, the island of Tasmania and numerous smaller islands. It is the world sixth-largest country by total area. Neighboring countries include Indonesia, East Timor and Papua New Guinea to the north; the Solomon Islands, Vanuatu and New Caledonia to the north-east; and New Zealand to the south-east.  <br/><br/>India is a vast South Asian country with diverse terrain – from Himalayan peaks to Indian Ocean coastline – and history reaching back 5 millennia. In the north, Mughal Empire andmarks include Delhis Red Fort complex and massive Jama Masjid mosque, plus Agras iconic Taj Mahal mausoleum. Pilgrims bathe in the Ganges in Varanasi, and Rishikesh is a yoga centre  and base for Himalayan trekking.',
      },
      {
        header: { text: 'USA' },
        content:
          'The United States of America (USA or U.S.A.), commonly called the United States (US or U.S.) and America, is a federal republic consisting of fifty states and a federal district. The 48 contiguous states and the federal district of Washington, D.C. are in central North America between Canada and Mexico. The state of Alaska is west of Canada and east of Russia across the Bering Strait, and the state of Hawaii is in the mid-North Pacific. The country also has five populated and nine unpopulated territories in the Pacific and the Caribbean.',
      },
      {
        header: { text: 'London' },
        content:
          'London, the capital of England and the United Kingdom, is a 21st-century city with history stretching back to Roman times. At its centre stand the imposing Houses of Parliament, the iconic ‘Big Ben’ clock tower and Westminster Abbey, site of British monarch coronations. Across the Thames River, the London Eye observation wheel provides panoramic views of the South Bank cultural complex, and the entire city.',
      },
      {
        header: { text: 'Germany' },
        content:
          'Germany is a Western European country with a landscape of forests, rivers, mountain ranges and North Sea beaches. It has over 2 millennia of history. Berlin, its capital, is home to art and nightlife scenes, the Brandenburg Gate and many sites relating to WWII. Munich is known for its Oktoberfest and beer halls, including the 16th-century Hofbräuhaus. Frankfurt, with its skyscrapers, houses the European Central Bank.',
      },
      {
        header: { text: 'France' },
        content:
          'France, officially the French Republic is a sovereign state comprising territory in western Europe and several overseas regions and territories. The European part of France, called Metropolitan France, extends from the Mediterranean Sea to the English Channel and the North Sea, and from the Rhine to the Atlantic Ocean; France covers 640,679 square kilo metres and as of August 2015 has a population of 67 million, counting all the overseas departments and territories.',
      },
    ];
  }

  public selecting(args: SelectingEventArgs) {
    this.getInteractionDetail(args.isInteracted as boolean);
  }
  public selected(args: SelectEventArgs) {
    this.getInteractionDetail(args.isInteracted as boolean);
  }
  public getInteractionDetail(interact: boolean): void {
    let eventlog = interact
      ? 'Tab Item selected by user interaction'
      : 'Tab Item selected by programmatically';
    this.eventLog = eventlog;
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));